Create Marketing Subscription
curl --request POST \
--url https://integration.getmateo.com/api/v1/marketing_subscription \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketing_channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"key": "<string>"
}
'import requests
url = "https://integration.getmateo.com/api/v1/marketing_subscription"
payload = {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketing_channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
marketing_channel_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: 'now()',
updated_at: 'now()',
key: '<string>'
})
};
fetch('https://integration.getmateo.com/api/v1/marketing_subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketing_channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"key": "<string>"
}{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketing_channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "now()",
"updated_at": "now()",
"key": "<string>"
}This response has no body data.Marketing Subscription
Create Marketing Subscription
Create a new marketing subscription
Create Marketing Subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtering Columns
Body
application/json
marketing_subscription
Contact ID
Marketing channel ID
Organisation ID
Marketing subscription creation date
Latest update
Marketing subscription key
Status of Marketing subscription
Available options:
requested, accepted, declined Channel Type of Conversation
Available options:
email, sms, whatsapp, instagram, facebook, google_business_messaging, postal Response
The updated Marketing Subscription object
Contact ID
Marketing channel ID
Organisation ID
Marketing subscription creation date
Latest update
Marketing subscription key
Status of Marketing subscription
Available options:
requested, accepted, declined Channel Type of Conversation
Available options:
email, sms, whatsapp, instagram, facebook, google_business_messaging, postal ⌘I